version: '2'

services:

    mongodb:
        image: mongo:4.2
        entrypoint: [ "/usr/bin/mongod", "--dbpath", "/data", "--journal", "--bind_ip", "0.0.0.0"]    
        ports:
            - "27017:27017"
        networks:
            - cleaningDumps

    keycloak:
        image: jboss/keycloak:12.0.4
        networks: 
            - cleaningDumps
        ports:
            - "9080:8080"
        environment:
            - KEYCLOAK_USER="cleaningDumpsRealmAdmin"
            - KEYCLOAK_PASSWORD="cleaningDumpsRealmAdmin"
        volumes:
            - ./keycloak-realm:/keycloak-realm
        command: ["-b", "0.0.0.0", "-Dkeycloak.import=/keycloak-realm/cleaningDumps-dev.json", "-Dkeycloak.migration.strategy=OVERWRITE_EXISTING", "-Dkeycloak.migration.realmName=CleaningDumpsDevRealm", "-Dkeycloak.profile.feature.upload_scripts=enabled"]

networks:
    cleaningDumps:

